Bug 220828 - mc has problems changing to a dir with underscore in the name
mc has problems changing to a dir with underscore in the name
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 11:29 EST by Kjartan Maraas
Modified: 2013-07-02 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 11:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2006-12-27 11:29:51 EST
Description of problem:
When I try entering a directory with underscore in the name I get a warning from mc:

"Warning: Cannot change to /home/kmaraas/cvs/rh/translate/rhn_register"

mc apparently changes to the directory and shows the contents. Also, I can use
typeahead to move between the files. Using mc's internal commands like f8 to
delete also works. But when I try a command on the command line, like 'msgfmt -v
nb' it complains that the file doesn't exist and jumps back to the parent folder.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jindrich Novy 2007-01-04 11:24:02 EST
Should be fixed by mc-4.6.1a-39 and on.
Comment 2 Fedora Update System 2007-04-17 08:48:27 EDT
mc-4.6.1a-36.20070124cvs.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2007-04-17 08:51:43 EDT
mc-4.6.1a-36.20070124cvs.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.